## roger-router 2.2.1

=== meson_options.txt ===
option('enable-post-install', type: 'boolean', value: 'true', description : 'Enable post install (schema compiling, desktop, ...)')

## roger-router 1.8.9

=== debian/changelog ===
roger-router (1.8.9-5build2) xenial; urgency=medium

  * No-change rebuild against new gnome libraries

 -- Iain Lane <iain@orangesquash.org.uk>  Mon, 02 Nov 2015 15:40:30 +0000

roger-router (1.8.9-5build1) wily; urgency=medium

  * No-change rebuild against new e-d-s

 -- Iain Lane <iain@orangesquash.org.uk>  Wed, 17 Jun 2015 11:58:33 +0100

roger-router (1.8.9-5) unstable; urgency=low

  * release to unstable
  * README: fix minor spelling mistake

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Mon, 11 May 2015 11:43:24 +0200

roger-router (1.8.9-4) experimental; urgency=low

  * postrm: delete Roger Router CUPS Fax printer upon package purge
  * README: add information what needs to be done after firmware updates
    certain functions, such as fax support, will be reset to being
    disabled every time a new firmware is installed

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Thu, 12 Mar 2015 15:25:09 +0800

roger-router (1.8.9-3) experimental; urgency=medium

  * release to experimental while jessie is frozen
  * do not build the experimental (!) cups backend. Closes: #774116
    Upstream uses a very funny (NOT!) semantics to their make-switches.
    Who would expect that "--with-cups=yes" actually DISABLES a working
    cups support?
    Personally, I was unable to verify this fix but Dieter Schäfer
    kindly provided confirmation that the test packages I had provided
    are now working fine for sending faxes. Thanks!
  * control: drop unused substvar from ffgtk transitional package stanza
  * rules: stop shipping install-fax.sh file. Closes: #772402
  * README.Debian: add some information on how to send a fax

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Sun, 08 Mar 2015 21:32:16 +0800

roger-router (1.8.9-2) unstable; urgency=low

  * copyright: add copyright information for win32/printer/ghostpdf.ppd
  * rules: don't abort compilation on deprecated declarations
    GTK3 3.14 deprecated a number of functions which resulted in FTBFS
    after October 10.  These issues will need to be addressed with upstream

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Wed, 15 Oct 2014 22:22:22 +0800

roger-router (1.8.9-1) unstable; urgency=low

  * initial release to Debian. Closes: #739845
    Many thanks to Philipp Matthias Hahn for sharing his packaging work.

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Tue, 02 Sep 2014 17:11:39 +0800

=== debian/control ===
Source: roger-router
Section: net
Priority: extra
Maintainer: Rolf Leggewie <foss@rolf.leggewie.biz>
Uploaders: Jan-Michael Brummer <jan.brummer@tabos.org>
Build-Depends: debhelper (>= 9), dh-autoreconf,
 libappindicator3-dev,
 libcapi20-dev (>= 1:3.24),
 libebook1.2-dev,
 libgstreamer1.0-dev, libgstreamer-plugins-base1.0-dev,
 libgtk-3-dev,
 libnotify-dev,
 libpeas-dev,
 libpulse-dev,
 libsecret-1-dev,
 libsndfile1-dev,
 libsoup2.4-dev,
 libspandsp-dev,
 libspeex-dev, libspeexdsp-dev,
 libxml2-dev,
 libtool,
 intltool
Standards-Version: 3.9.5
Homepage: http://www.tabos.org/roger
Vcs-git: git://git.debian.org/git/collab-maint/roger-router.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/roger-router.git

Package: roger-router
Architecture: any
Pre-Depends: ${misc:Pre-Depends},
Depends: ${shlibs:Depends}, ${misc:Depends}, roger-router-cli
Description: Home router management tool - GUI
 Journal, Fax-Software and Call-Monitor for AVM FRITZ!Box or compatible
 routers. The following features are supported through plugins:
 .
  * Call monitor, journal and address book
  * Use system as softphone or dial support
  * Fax transfer with CUPS integration.
  * import address books from the Fritz!Box, Evolution and Thunderbird
  * status icon and notification popus
 .
 A predecessor to the program was formerly called FRITZ!Box Fun (ffgtk).
 This is the GUI version of the program including plugins.

Package: roger-router-cli
Architecture: any
Pre-Depends: ${misc:Pre-Depends},
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: ghostscript,
 cups-daemon,
 cups-client
Description: Home router management tool - command-line interface
 Journal, Fax-Software and Call-Monitor for AVM FRITZ!Box or compatible
 routers. The following features are supported through plugins:
 .
  * Call monitor, journal and address book
  * Use system as softphone or dial support
  * Fax transfer with CUPS integration.
 .
 A predecessor to the program was formerly called FRITZ!Box Fun (ffgtk).
 .
 This is the command-line interface part of the package only.  The GUI
 is available in the roger-router package.

Package: ffgtk
Section: oldlibs
Architecture: any
Depends: ${misc:Depends}, roger-router
Description: transitional dummy package - ffgtk to roger
 migrate users from the obsolete and abandoned ffgtk package to the
 new Roger Router.
 .
 This package can be safely removed after the transition.

Package: libroutermanager0
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends},
Depends: ${shlibs:Depends},
 ${misc:Depends},
Description: Home router management tool - shared library
 Journal, Fax-Software and Call-Monitor for AVM FRITZ!Box or compatible
 routers.
 .
 This package contains the shared libraries, which are used by the main program
 and its plugins.

Package: libroutermanager-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
 libroutermanager0 (= ${binary:Version}),
Description: Home router management tool - development files
 Journal, Fax-Software and Call-Monitor for AVM FRITZ!Box or compatible
 routers.
 .
 This package contains the development libraries and header files, which are
 required to build external extensions.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
export DEB_CFLAGS_MAINT_APPEND = -Wno-error=deprecated-declarations

%:
	dh $@ --with autoreconf

override_dh_autoreconf:
	dh_autoreconf ./autogen.sh

override_dh_auto_configure:
	dh_auto_configure -- \
		--with-spandsp=6 \
		--with-libnotify=yes \
		--with-secret=yes \
		--with-ebook=yes \
		--with-gstreamer1=yes \
		--with-pulseaudio=yes \
		--with-portaudio=no \
		--with-faxophone=yes \
		--with-appindicator3=yes

override_dh_install:

	# do not ship *.la and *.a files
	find debian/ -name \*.la -delete
	find debian/ -name \*.a -delete
	find debian/ -name install-fax.sh -delete

	dh_install --list-missing

override_dh_fixperms:
	dh_fixperms
	chmod 755 debian/roger-router-cli/usr/lib/cups/backend/roger-cups
	chown lp.fax debian/roger-router-cli/var/spool/roger
	chmod 2770 debian/roger-router-cli/var/spool/roger

=== debian/watch ===
version=3
http://en.tabos.org/downloads  .*roger-router-(.*)\.(?:tgz|tbz2|tar\.(?:gz|bz2|xz))

## roger-router 1.8.14

=== debian/changelog ===
roger-router (1.8.14-5) unstable; urgency=medium

  * d/copyright: Change Format URL to correct one

  [ Iain Lane ]
  * debian/patches/eds-3.33: Update to EDS 3.33
    (Closes: #945318)

  [ Gianfranco Costamagna ]
  * debian/control:
    - the libgupnp/libgssdp dev binaries has been renamed, update the
      build-depends according to that to rebuild with the correct versions
  * debian/patches/new-gupnp_build.patch: fix build with new gupnp
  * Import Ubuntu delta to Debian.
  * QA Upload
  * Bump compat level to 12
  * Bump std-version to 4.4.1
  * Fix compat level 12 change on dh_install/dh_missing

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 20 Jan 2020 09:02:01 +0100

roger-router (1.8.14-4) unstable; urgency=medium

  * QA upload.
  * Upload to unstable.
  * Add patch to fix FTBFS with libsecred 0.18.6. Closes: #897500
  * d/rules: Enable again build with libsecret.
  * d/control:
    + Move Vcs-* to salsa.debian.org.
    + The package is now orphaned, drop Uploaders field.
    + Drop obsolete transitional package ffgtk.  Closes: #878856
    + Mark libroutermanager0 and libroutermanager-dev as Multi-Arch:same.
    + Specify Rules-Requires-Root:binary-targets
  * d/copyright: Use HTTPS in the Format field.
  * Bump debhelper compat level to 11.
    + Drop explicit --with autoreconf, now default.

 -- Mattia Rizzolo <mattia@debian.org>  Thu, 24 May 2018 13:25:57 +0200

roger-router (1.8.14-3) experimental; urgency=medium

  * control:
    - orphan the package
      I can no longer justify the effort to package for Debian
    - replace priority extra by priority optional
    - update VCS URIs to point to github
    - update Debian Standard to 4.1.4
  * install roger.appdata.xml under /usr/share/metainfo/
  * rules: stop compiling with secret=yes
    secret=yes currently breaks the build. the source of this error ought
    to be investigated and the flag should be reenabled on the next upload

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Mon, 16 Apr 2018 23:43:25 +0800

roger-router (1.8.14-2) unstable; urgency=medium

  * require python plugins to be python3 from now on. Closes: #817936

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Sat, 14 May 2016 06:22:36 +0800

roger-router (1.8.14-1) unstable; urgency=medium

  * new upstream release, LP: #1553567
  * patches: drop obsolete patches and rebase others (as usual)
  * update the symbols file to the newest code base
  * rules:
    - enable all plugins except macos-keychain
    - reactivate erroring out on deprecated declarations
  * control:
    - update compile-time dependencies
    - update to Standard 3.9.7
  * copyright:
    - drop obsolete comment explaining missing copyright declaration
    - update information to 2016
  * install desktop file from new upstream location
  * watch: update to newest download location

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Mon, 04 Apr 2016 18:03:45 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,16 @@
 Source: roger-router
 Section: net
-Priority: extra
-Maintainer: Rolf Leggewie <foss@rolf.leggewie.biz>
-Uploaders: Jan-Michael Brummer <jan.brummer@tabos.org>
-Build-Depends: debhelper (>= 9), dh-autoreconf,
+Priority: optional
+Maintainer: Debian QA Group <packages@qa.debian.org>
+Build-Depends: debhelper-compat (= 12),
  libappindicator3-dev,
  libcapi20-dev (>= 1:3.24),
  libebook1.2-dev,
+ libgdata-dev,
  libgstreamer1.0-dev, libgstreamer-plugins-base1.0-dev,
  libgtk-3-dev,
+ libgupnp-1.2-dev,
+ libgssdp-1.2-dev,
  libnotify-dev,
  libpeas-dev,
  libpulse-dev,
@@ -19,11 +21,13 @@
  libspeex-dev, libspeexdsp-dev,
  libxml2-dev,
  libtool,
- intltool
-Standards-Version: 3.9.5
+ intltool,
+ portaudio19-dev
+Standards-Version: 4.4.1
+Rules-Requires-Root: binary-targets
 Homepage: http://www.tabos.org/roger
-Vcs-git: git://git.debian.org/git/collab-maint/roger-router.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/roger-router.git
+Vcs-Browser: https://salsa.debian.org/debian/roger-router
+Vcs-Git: https://salsa.debian.org/debian/roger-router.git
 
 Package: roger-router
 Architecture: any
@@ -62,18 +66,9 @@
  This is the command-line interface part of the package only.  The GUI
  is available in the roger-router package.
 
-Package: ffgtk
-Section: oldlibs
-Architecture: any
-Depends: ${misc:Depends}, roger-router
-Description: transitional dummy package - ffgtk to roger
- migrate users from the obsolete and abandoned ffgtk package to the
- new Roger Router.
- .
- This package can be safely removed after the transition.
-
 Package: libroutermanager0
 Architecture: any
+Multi-Arch: same
 Section: libs
 Pre-Depends: ${misc:Pre-Depends},
 Depends: ${shlibs:Depends},
@@ -87,6 +82,7 @@
 
 Package: libroutermanager-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
 Depends: ${misc:Depends},
  libroutermanager0 (= ${binary:Version}),

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

%:
	dh $@

override_dh_autoreconf:
	dh_autoreconf ./autogen.sh

override_dh_auto_configure:
	dh_auto_configure -- \
		--with-secret=yes \
		--with-macos-keychain=no \
		--with-gstreamer1=check \
		--with-pulseaudio=check \
		--with-portaudio=check

override_dh_install:

	# do not ship *.la and *.a files
	find debian/ -name \*.la -delete
	find debian/ -name \*.a -delete
	find debian/ -name install-fax.sh -delete
	dh_install

dh_missing:
	dh_missing --list-missing

override_dh_fixperms:
	dh_fixperms
	chmod 755 debian/roger-router-cli/usr/lib/cups/backend/roger-cups
	chown lp.fax debian/roger-router-cli/var/spool/roger
	chmod 2770 debian/roger-router-cli/var/spool/roger

## roger-router 2.1.6

=== debian/changelog ===
roger-router (2.1.6-4build1) groovy; urgency=medium

  * Rebuild with the new libedataserver soname

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 12 Aug 2020 18:03:27 +0200

roger-router (2.1.6-4) unstable; urgency=medium

  * Replace libappindicator-dev build-dependency (Closes: #956781)

 -- Hilko Bengen <bengen@debian.org>  Wed, 15 Apr 2020 12:37:31 +0200

roger-router (2.1.6-3) unstable; urgency=medium

  * Remove obsolete -cli dependency

 -- Hilko Bengen <bengen@debian.org>  Mon, 09 Mar 2020 12:19:54 +0100

roger-router (2.1.6-2) unstable; urgency=medium

  * Integrate some package changes that I had missed because I had not
    pulled them from Salsa

 -- Hilko Bengen <bengen@debian.org>  Sun, 08 Mar 2020 15:00:33 +0100

roger-router (2.1.6-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Change Format URL to correct one

  [ Hilko Bengen ]
  * Adopt package (Closes: #899989)
  * Update watch file
  * New upstream version 2.1.6
  * Update package, remove library, cli packages

 -- Hilko Bengen <bengen@debian.org>  Sun, 08 Mar 2020 14:06:50 +0100

=== debian/control ===
Source: roger-router
Section: net
Priority: optional
Maintainer: Hilko Bengen <bengen@debian.org>
Build-Depends: debhelper-compat (= 12),
 meson,
 libayatana-appindicator3-dev,
 libebook1.2-dev,
 libgdata-dev,
 libgs-dev,
 libgtk-3-dev,
 libpoppler-glib-dev,
 librm-dev,
 libtiff-dev,
Standards-Version: 4.4.1
Rules-Requires-Root: binary-targets
Homepage: http://www.tabos.org/roger
Vcs-Browser: https://salsa.debian.org/debian/roger-router
Vcs-Git: https://salsa.debian.org/debian/roger-router.git

Package: roger-router
Architecture: any
Pre-Depends: ${misc:Pre-Depends},
Depends: ${shlibs:Depends}, ${misc:Depends},
Description: Home router management tool - GUI
 Journal, Fax-Software and Call-Monitor for AVM FRITZ!Box or compatible
 routers. The following features are supported through plugins:
 .
  * Call monitor, journal and address book
  * Use system as softphone or dial support
  * Fax transfer with CUPS integration.
  * import address books from the Fritz!Box, Evolution and Thunderbird
  * status icon and notification popus
 .
 A predecessor to the program was formerly called FRITZ!Box Fun (ffgtk).
 This is the GUI version of the program including plugins.

## roger-router 2.2.1

=== debian/changelog ===
roger-router (2.2.1-1) unstable; urgency=medium

  * New upstream version 2.2.1
  * Add gbp.conf
  * Update Homepage field (Closes: #980984)
  * Drop appindicator patch
  * Update build-dependencies

 -- Hilko Bengen <bengen@debian.org>  Mon, 25 Jan 2021 12:08:47 +0100

=== debian/control ===
--- 
+++ 
@@ -10,11 +10,12 @@
  libgs-dev,
  libgtk-3-dev,
  libpoppler-glib-dev,
- librm-dev,
+ libhandy-1-dev,
+ librm-dev (>= 2.1.4),
  libtiff-dev,
 Standards-Version: 4.4.1
 Rules-Requires-Root: binary-targets
-Homepage: http://www.tabos.org/roger
+Homepage: https://www.tabos.org/project/rogerrouter/
 Vcs-Browser: https://salsa.debian.org/debian/roger-router
 Vcs-Git: https://salsa.debian.org/debian/roger-router.git

=== debian/watch ===
version=4

https://gitlab.com/tabos/rogerrouter/-/tags \
    .*/archive/v(?:\d.*)/rogerrouter-v(\d.*).tar.bz2

## roger-router 2.4.0

=== debian/changelog ===
roger-router (2.4.0-1) experimental; urgency=medium

  * New upstream version 2.4.0
  * Update/fix debian/watch
  * Update build-dependencies
  * Drop patch

 -- Hilko Bengen <bengen@debian.org>  Sat, 27 Mar 2021 13:17:22 +0100

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,8 @@
  libgs-dev,
  libgtk-3-dev,
  libpoppler-glib-dev,
- libhandy-1-dev,
- librm-dev (>= 2.1.4),
+ libhandy-1-dev (>= 1.1.90),
+ librm-dev (>= 2.2.0),
  libtiff-dev,
 Standards-Version: 4.4.1
 Rules-Requires-Root: binary-targets

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

%:
	dh $@ --buildsystem=meson

=== debian/watch ===
version=4

https://gitlab.com/tabos/rogerrouter/-/tags \
    .*/archive/v?(?:\d.*)/rogerrouter-v?(\d.*).tar.bz2

## roger-router 2.4.2

=== debian/changelog ===
roger-router (2.4.2-3) unstable; urgency=medium

  * Add patch to use Soup 3.0, avoiding FTBFS with
    evolution-data-server 3.45 (Closes: #1017985)

 -- Hilko Bengen <bengen@debian.org>  Tue, 06 Sep 2022 20:37:28 +0200

roger-router (2.4.2-2) unstable; urgency=medium

  * d/copyright: Update URL
  * d/control: Update URL
  * Drop obsolete debian/NEWS, debian/clean

 -- Hilko Bengen <bengen@debian.org>  Sun, 28 Aug 2022 18:41:41 +0200

roger-router (2.4.2-1) experimental; urgency=medium

  * New upstream version 2.4.2
  * Update build-dependencies
  * Update d/copyright

 -- Hilko Bengen <bengen@debian.org>  Sun, 28 Aug 2022 17:09:18 +0200

=== debian/control ===
--- 
+++ 
@@ -4,25 +4,27 @@
 Maintainer: Hilko Bengen <bengen@debian.org>
 Build-Depends: debhelper-compat (= 12),
  meson,
+ desktop-file-utils,
+ appstream-util,
  libayatana-appindicator3-dev,
- libebook1.2-dev,
+ libebook1.2-dev (>= 3.45),
  libgdata-dev,
  libgs-dev,
  libgtk-3-dev,
  libpoppler-glib-dev,
  libhandy-1-dev (>= 1.1.90),
- librm-dev (>= 2.2.0),
+ librm-dev (>= 2.2.3),
  libtiff-dev,
 Standards-Version: 4.4.1
 Rules-Requires-Root: binary-targets
-Homepage: https://www.tabos.org/project/rogerrouter/
+Homepage: https://www.tabos.org/projects/rogerrouter/
 Vcs-Browser: https://salsa.debian.org/debian/roger-router
 Vcs-Git: https://salsa.debian.org/debian/roger-router.git
 
 Package: roger-router
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends},
-Depends: ${shlibs:Depends}, ${misc:Depends},
+Depends: ${shlibs:Depends}, ${misc:Depends}, librm0 (>= 2.2.3),
 Description: Home router management tool - GUI
  Journal, Fax-Software and Call-Monitor for AVM FRITZ!Box or compatible
  routers. The following features are supported through plugins:
